Sign in to follow this  
wespitory

737 ngx and prepar3d v1.4

Recommended Posts

i believe i have it correct that the fsx version will NOT work with prepar3d and that you have to purchase the specific version for prepar3d.

 

what i cannot find is if it will work with prepar3d v1.4??? it says only v2-2.5.  so does that mean it won't work with prepar3d v1.4?? if it will work, i would repurchase it, otherwise obviously not.

 

thanks,

Wes

i have tried looking everywhere for this answer, but i probably missed it.

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this